Bug 67886 - Put gnome-volume-control on panel by default if user has a sound card
Summary: Put gnome-volume-control on panel by default if user has a sound card
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-media   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-03 19:07 UTC by Tammy Fox
Modified: 2007-04-18 16:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-07 22:02:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tammy Fox 2002-07-03 19:07:57 UTC
By default, the gnome-volume-control applet is on the panel. If you
start X on a machine with no sound card, you get an error dialog with
the message Couldn't open mixer device /dev/sound/mixer.

Comment 1 Telsa Gwynne 2002-07-15 16:54:41 UTC
In addition to this, when starting Gnome I get this error message as above,
click "Okay", and then promptly get "The volume-control-applet died 
unexpectedly." If I click "Reload", I get the "/dev/sound/mixer not found"
again. If I click "OK" again, the applet successfully returns.

Thia box (allegedly) has on-board sound.

Comment 2 Warren Togami 2002-08-12 22:43:37 UTC
It would be really nice if there were a way of globally disabling
gnome-volume-control applet for LTSP servers.  Any GUI checkbox or text based
global config?

Comment 3 Havoc Pennington 2002-08-12 22:56:11 UTC
Disabling in what sense? It's no longer on the default panel, and you could have
made that change yourself in the same way the gnome-panel RPM does.
Or I guess you could just remove it from the gnome-applets package...
Surely LTSP involves modified packages/config already?

Comment 4 Warren Togami 2002-08-12 23:12:54 UTC
Oops, you are right, I apologize.  I just tested this with a new user, and it
does indeed not add it by default to the panel anymore.


Note You need to log in before you can comment on or make changes to this bug.